﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SharedStore
{
  public partial class SubForm : Form
  {
    private Store _oSharedStore;

    public SubForm()
    {
      InitializeComponent();
    }

    private void SubForm_Load(object sender, EventArgs e)
    {
      Store store = StoreManager.getStore();
      _oSharedStore = store;
      store.Changed += new ChangedEventHandler(store_Changed);
    }

    void store_Changed(object sender, EventArgs e)
    {
      this._txtText.Text = ((Store)sender).Text;
    }

    private void textBox1_TextChanged(object sender, EventArgs e)
    {
      _oSharedStore.Text = _txtText.Text;
    }
  }
}
